# class HandledMSU | MSU handling result codes (Q.704 15.17.5 and more). More...
Full name | `TelEngine::HandledMSU`
Definition | `#include <libs/ysig/yatesig.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum Result { Rejected = 0, Unequipped = 1, Inaccessible = 2, Accepted = 16, Failure = 17, NoAddress = 18, NoCircuit = 19, }

#### Public Methods

- inline HandledMSU (Result result = Rejected)
- inline HandledMSU (bool success)
- inline HandledMSU (const HandledMSU& original)
- inline HandledMSU& operator= (Result result)
- inline HandledMSU& operator= (const HandledMSU& original)
- inline bool operator== (Result result)
- inline bool operator== (const HandledMSU& result)
- inline bool operator!= (Result result)
- inline bool operator!= (const HandledMSU& result)
- inline operator Result () const
- inline bool ok () const
- inline unsigned char upu () const

## Detailed Description

Simple inline class used to know if a MSU was handled and if not why

enum Result { Rejected = 0, Unequipped = 1, Inaccessible = 2, Accepted = 16, Failure = 17, NoAddress = 18, NoCircuit = 19, } | ### Result

inline HandledMSU (Result result = Rejected) | ### HandledMSU

Regular constructor

Parameters:

result | MSU handling result

inline HandledMSU (bool success) | ### HandledMSU

Constructor from boolean success

Parameters:

success | True signifies Accepted, false for Failure

inline HandledMSU (const HandledMSU& original) | ### HandledMSU

Copy constructor

Parameters:

original | Result to copy

inline HandledMSU& operator= (Result result) | ### operator=

Assignment from Result enumeration

Parameters:

result | MSU handling result

inline HandledMSU& operator= (const HandledMSU& original) | ### operator=

Assignment operator

Parameters:

original | Result to assign from

inline bool operator== (Result result) | ### operator==

Equality operator

Parameters:

result | Handling result value to compare to

inline bool operator== (const HandledMSU& result) | ### operator==

Equality operator

Parameters:

result | Handling result value to compare to

inline bool operator!= (Result result) | ### operator!=

Inequality operator

Parameters:

result | Handling result value to compare to

inline bool operator!= (const HandledMSU& result) | ### operator!=

Inequality operator

Parameters:

result | Handling result value to compare to

inline operator Result () | ### Result

[const]

Result retrieval operator

Returns: Handling result enumeration

inline bool ok () | ### ok

[const]

Success checking

Returns: True if MSU was handled, false for any other result

inline unsigned char upu () | ### upu

[const]

Retrieve Q.704 15.17.5 UPU cause code

Returns: UPU cause code, 0 (Unknown) for all private causes

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.